apiVersion: argoproj.io/v1alpha1
kind: Application
metadata:
  labels:
    type: argocd-config
  name: homepage-config
  namespace: onlineteam-gitops-controlplane
spec:
  destination:
    server: https://kubernetes.default.svc
  project: homepage
  source:
    directory:
      jsonnet: {}
      recurse: true
    path: ArgoCD-Config/
    repoURL: https://gitlab.com/toolchainbox/gitops/demoprojects/homepage/homepage-config.git
    targetRevision: main
  syncPolicy:
    automated:
      prune: true
      selfHeal: true
    syncOptions:
      - CreateNamespace=true
      - ApplyOutOfSyncOnly=true